<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: VivianComponents.VivianComponent Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_vivian_components_1_1_vivian_component.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_vivian_components_1_1_vivian_component-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">VivianComponents.VivianComponent Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for VivianComponents.VivianComponent:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_vivian_components_1_1_vivian_component.png" usemap="#VivianComponents.VivianComponent_map" alt=""/>
  <map id="VivianComponents.VivianComponent_map" name="VivianComponents.VivianComponent_map">
<area href="class_vivian_components_1_1_button.html" alt="VivianComponents.Button" shape="rect" coords="230,112,450,136"/>
<area href="class_vivian_components_1_1_display.html" alt="VivianComponents.Display" shape="rect" coords="230,168,450,192"/>
<area href="class_vivian_components_1_1_light.html" alt="VivianComponents.Light" shape="rect" coords="230,224,450,248"/>
<area href="class_vivian_components_1_1_movable.html" alt="VivianComponents.Movable" shape="rect" coords="230,280,450,304"/>
<area href="class_vivian_components_1_1_rotatable.html" alt="VivianComponents.Rotatable" shape="rect" coords="230,336,450,360"/>
<area href="class_vivian_components_1_1_slider.html" alt="VivianComponents.Slider" shape="rect" coords="230,392,450,416"/>
<area href="class_vivian_components_1_1_sound.html" alt="VivianComponents.Sound" shape="rect" coords="230,448,450,472"/>
<area href="class_vivian_components_1_1_text.html" alt="VivianComponents.Text" shape="rect" coords="230,504,450,528"/>
<area href="class_vivian_components_1_1_touchscreen.html" alt="VivianComponents.Touchscreen" shape="rect" coords="230,560,450,584"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a35e6dbed2cede167990a3e79c064ddc3"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vivian_components_1_1_vivian_component.html#a35e6dbed2cede167990a3e79c064ddc3">OnComponentUpdated</a> ()</td></tr>
<tr class="memdesc:a35e6dbed2cede167990a3e79c064ddc3"><td class="mdescLeft">&#160;</td><td class="mdescRight"> <a href="class_vivian_components_1_1_vivian_component.html#a35e6dbed2cede167990a3e79c064ddc3">More...</a><br /></td></tr>
<tr class="separator:a35e6dbed2cede167990a3e79c064ddc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a4adf52aeab9653e283fe370d0dbbcf43"><td class="memItemLeft" align="right" valign="top"><a id="a4adf52aeab9653e283fe370d0dbbcf43" name="a4adf52aeab9653e283fe370d0dbbcf43"></a>
<a class="el" href="class_utils.html#afff7ca6f3fdcb8a7848e84db230e811f">Utils.ElementType</a>&#160;</td><td class="memItemRight" valign="bottom"><b>ElementType</b></td></tr>
<tr class="separator:a4adf52aeab9653e283fe370d0dbbcf43"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a9f61c5c5c6d1471ad091aae18c0526e7"><td class="memItemLeft" align="right" valign="top"><a id="a9f61c5c5c6d1471ad091aae18c0526e7" name="a9f61c5c5c6d1471ad091aae18c0526e7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Start</b> ()</td></tr>
<tr class="separator:a9f61c5c5c6d1471ad091aae18c0526e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a162f83377d226f39648d0d40448d7c5c"><td class="memItemLeft" align="right" valign="top"><a id="a162f83377d226f39648d0d40448d7c5c" name="a162f83377d226f39648d0d40448d7c5c"></a>
<a class="el" href="class_element_picker.html">ElementPicker</a>&#160;</td><td class="memItemRight" valign="bottom"><b>ElementPicker</b></td></tr>
<tr class="separator:a162f83377d226f39648d0d40448d7c5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a9518ddcb401636d52a575ad33fcf858c"><td class="memItemLeft" align="right" valign="top"><a id="a9518ddcb401636d52a575ad33fcf858c" name="a9518ddcb401636d52a575ad33fcf858c"></a>
VisualElement&#160;</td><td class="memItemRight" valign="bottom"><b>VisualElement</b><code> [getset]</code></td></tr>
<tr class="separator:a9518ddcb401636d52a575ad33fcf858c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a35e6dbed2cede167990a3e79c064ddc3" name="a35e6dbed2cede167990a3e79c064ddc3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35e6dbed2cede167990a3e79c064ddc3">&#9670;&nbsp;</a></span>OnComponentUpdated()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void VivianComponents.VivianComponent.OnComponentUpdated </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented in <a class="el" href="class_vivian_components_1_1_button.html#aba04a96e286eb6ecfac29abd515418f5">VivianComponents.Button</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/Scripts/VivianComponents/<a class="el" href="_vivian_component_8cs.html">VivianComponent.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_vivian_components.html">VivianComponents</a></li><li class="navelem"><a class="el" href="class_vivian_components_1_1_vivian_component.html">VivianComponent</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:26:14 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
